> ## Documentation Index > Fetch the complete documentation index at: https://www.canva.dev/docs/apps/llms.txt > Use this file to discover all available pages before exploring further. # List brand templates List all the user's brand templates. AVAILABILITY: To use this API, your app must act on behalf of a user that's on a Canva plan with access to brand templates (such as Canva Pro, Canva Teams, or Canva Enterprise). Get a list of the [brand templates](https://www.canva.com/help/publish-team-template/) the user has access to. ## HTTP method and URL path GET https\://api.canva.com/rest/v1/brand-templates This operation is rate limited to 100 requests per minute for each user of your app. ## Authentication and authorization This endpoint requires a valid access token that acts on behalf of a user. For more information, see [Generate an access token](/docs/apps/rest-apis/reference/authentication/generate-access-token). ### Scopes The access token must have all the following [scopes](/docs/apps/rest-apis/scopes) (permissions): * `brandtemplate:meta:read` ## Header parameters Provides credentials to authenticate the request, in the form of a `Bearer` token. For example: `Authorization: Bearer {token}` ## Query parameters Lets you search the brand templates available to the user using a search term or terms. If the success response contains a continuation token, the user has access to more brand templates you can list. You can use this token as a query parameter and retrieve more templates from the list, for example `/v1/brand-templates?continuation={continuation}`. To retrieve all the brand templates available to the user, you might need to make multiple requests. The number of brand templates to return. **Minimum:** `1` **Maximum:** `100` **Default value:** `25` Filter the list of brand templates based on the user's ownership of the brand templates. **Default value:** `any` **Available values:** * `any`: Owned by and shared with the user. * `owned`: Owned by the user. * `shared`: Shared with the user. Sort the list of brand templates. **Default value:** `relevance` **Available values:** * `relevance`: Sort results using a relevance algorithm. * `modified_descending`: Sort results by the date last modified in descending order. * `modified_ascending`: Sort results by the date last modified in ascending order. * `title_descending`: Sort results by title in descending order. * `title_ascending`: Sort results by title in ascending order Filter the list of brand templates based on the brand templates' dataset definitions. Brand templates with dataset definitions are mainly used with the [Autofill APIs](https://www.canva.dev/docs/apps/rest-apis/reference/autofills/). **Default value:** `any` **Available values:** * `any`: Brand templates with and without dataset definitions. * `non_empty`: Brand templates with one or more data fields defined. ## Example request Examples for using the `/v1/brand-templates` endpoint: ```sh curl --request GET 'https://api.canva.com/rest/v1/brand-templates' \ --header 'Authorization: Bearer {token}' ``` ```js const fetch = require("node-fetch"); fetch("https://api.canva.com/rest/v1/brand-templates", { method: "GET", headers: { "Authorization": "Bearer {token}", }, }) .then(async (response) => { const data = await response.json(); console.log(data); }) .catch(err => console.error(err)); ``` ```java import java.io.IOException; import java.net.URI; import java.net.http.*; public class ApiExample { public static void main(String[] args) throws IOException, InterruptedException { HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.canva.com/rest/v1/brand-templates")) .header("Authorization", "Bearer {token}") .method("GET", HttpRequest.BodyPublishers.noBody()) .build(); HttpResponse response = HttpClient.newHttpClient().send( request, HttpResponse.BodyHandlers.ofString() ); System.out.println(response.body()); } } ``` ```py import requests headers = { "Authorization": "Bearer {token}" } response = requests.get("https://api.canva.com/rest/v1/brand-templates", headers=headers ) print(response.json()) ``` ```csharp using System.Net.Http; var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://api.canva.com/rest/v1/brand-templates"), Headers = { { "Authorization", "Bearer {token}" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }; ``` ```go package main import ( "fmt" "io" "net/http" ) func main() { url := "https://api.canva.com/rest/v1/brand-templates" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer {token}") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ```php $curl = curl_init(); curl_setopt_array($curl, array( CURLOPT_URL => "https://api.canva.com/rest/v1/brand-templates", CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => array( 'Authorization: Bearer {token}', ), )); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if (empty($err)) { echo $response; } else { echo "Error: " . $err; } ``` ```ruby require 'net/http' require 'uri' url = URI('https://api.canva.com/rest/v1/brand-templates') http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request['Authorization'] = 'Bearer {token}' response = http.request(request) puts response.read_body ``` ## Success response If successful, the endpoint returns a `200` response with a JSON body with the following parameters: The list of brand templates. Properties of items} defaultExpanded={true}> The brand template ID. The brand template title, as shown in the Canva UI. A URL Canva users can visit to view the brand template. A URL Canva users can visit to create a new design from the template. When the brand template was created, as a Unix timestamp (in seconds since the Unix Epoch). When the brand template was last updated, as a Unix timestamp (in seconds since the Unix Epoch). A thumbnail image representing the object. Properties of thumbnail}> The width of the thumbnail image in pixels. The height of the thumbnail image in pixels. A URL for retrieving the thumbnail image. This URL expires after 15 minutes. This URL includes a query string that's required for retrieving the thumbnail. If the success response contains a continuation token, the user has access to more brand templates you can list. You can use this token as a query parameter and retrieve more templates from the list, for example `/v1/brand-templates?continuation={continuation}`. To retrieve all the brand templates available to the user, you might need to make multiple requests. ## Example response ```json { "continuation": "RkFGMgXlsVTDbMd:MR3L0QjiaUzycIAjx0yMyuNiV0OildoiOwL0x32G4NjNu4FwtAQNxowUQNMMYN", "items": [ { "id": "DEMzWSwy3BI", "title": "Advertisement Template", "view_url": "https://www.canva.com/design/DAE35hE8FA4/view", "create_url": "https://www.canva.com/design/DAE35hE8FA4/remix", "thumbnail": { "width": 595, "height": 335, "url": "https://document-export.canva.com/Vczz9/zF9vzVtdADc/2/thumbnail/0001.png?" }, "created_at": 1704110400, "updated_at": 1719835200 } ] } ``` ## Error responses ### 400 Bad Request A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error responses ##### The continuation token is invalid ```json { "code": "bad_query_params", "message": "Invalid continuation: {continuation}" } ``` ##### The design\_types filter contains an unavailable design type ```json { "code": "invalid_field", "message": "'design_types' contains a design type that isn't available: {designType}." } ``` ##### Unable to fetch designs ```json { "code": "bad_query_params", "message": "Unable to fetch designs" } ``` ### 403 Forbidden A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error responses ##### Not allowed to find metadata for brand templates ```json { "code": "permission_denied", "message": "Not allowed to find metadata for brand templates" } ``` ##### Not allowed to access the design list ```json { "code": "permission_denied", "message": "Not allowed to access design list" } ```